// main file for map projection test/demo code
// $Id: main.cpp,v 1.5 1998/10/21 18:26:51 qian Exp $

#include <iostream.h>
#include "../../src/gproj.h"
#include "../../src/gadt_segment.h"

int testProjUTM();
int testProjAlbers();

main()
{
    testProjUTM();


    double dd = -73.9875;  //decimal degre
    int d, m, s;
    GMapProj::DD2DMS(dd, d, m, s);
    cout<<"decimal degree "<<dd<<" to DMS: "<<d<<","<<m<<","<<s<<endl;
    dd = GMapProj::DMS2DD(d,m,s);
    cout<<"DMS: "<<d<<","<<m<<","<<s<<" to decimal degree "<<dd<<endl;

    dd = 41.0625;
    GMapProj::DD2DMS(dd, d, m, s);
    cout<<"decimal degree "<<dd<<" to DMS: "<<d<<","<<m<<","<<s<<endl;
    dd = GMapProj::DMS2DD(d,m,s);
    cout<<"DMS: "<<d<<","<<m<<","<<s<<" to decimal degree "<<dd<<endl;

    dd = -73.9750;
    GMapProj::DD2DMS(dd, d, m, s);
    cout<<"decimal degree "<<dd<<" to DMS: "<<d<<","<<m<<","<<s<<endl;
    dd = GMapProj::DMS2DD(d,m,s);
    cout<<"DMS: "<<d<<","<<m<<","<<s<<" to decimal degree "<<dd<<endl;

    testProjAlbers();

#if 0
    extern int linesIntersect ( Coord x1, Coord y1,   // First line segment 
		     Coord x2, Coord y2,
		     Coord x3, Coord y3,   // Second line segment 
		     Coord x4, Coord y4,
		     Coord& x,      // Output value: point of intersection 
		     Coord& y         
				);
    
    double x0=0,y0=0,x1=100,y1=100;
    double _x0=0,_y0=50, _x1=100, _y1=50;
    double x,y;
    if(linesIntersect(x0,y0,x1,y1,
		      _x0,_y0,_x1,_y1,
		      x,y) == 1) 
	cout<<"x="<<x<<", y="<<y<<endl;
#endif

}
