//
// Main file for RTree test/demo code
// $Id: main.cpp,v 1.2 1998/07/04 18:53:47 qian Exp $
//

#include <iostream.h>
#include "gcxx.h"

#define	 SHP_DATA	"../data/cntry94"

Result 	indexShapefile(const char*, const char*);
int    	randomIndex(const char*, int num, //number of records
		    int max); //coordinates range [0, max]
int 	queryRTree(const char* name,  //name of existing rtree index
		   double xl, double yl, //lower corner of query window
		   double xh, double yh); //higher-valued corner

main()
{
    char c;
    
    //builds an rtree index for the given shapefile; output is is42.rtx.
    indexShapefile(SHP_DATA, "country94.rtx"); 
    cout<<"Press any key to continue....\n";
    cin>>c;
    
    //builds an rtree out of randomly generated rectangles. 
    //output is ranodm.rtx
    randomIndex("random.rtx", 1500, 10000);
    cout<<"Press any key to continue....\n";
    cin>>c;

    //search the random rtree with a specified query window.
    //returns all records that intersects w/ the query window
    queryRTree("random.rtx", 2500, 5000, 4700, 7100);
}
