//
// timestamp/time-series test/demo code
// $Id: testTime.cpp,v 1.2 1998/07/10 02:45:23 qian Exp $
//

#include "gadt_time.h"
#include "gtseries.h"

int testTSeries()
{
    GTimeSeries *s = new GTimeSeries(_DAY);
    GEpisode *ep = new GEpisode(1980, 12, 31);
    
    s->addEpisode(ep);
    s->addRange(GDate(1981, 4, 4), GDate(1981, 5, 16));
    s->addRange(GDate(1983, 4, 4), GDate(1984, 5, 4) );
    
    ep = new GEpisode(GDate(1997, 8,4));
    s->addEpisode(ep);
    
    GEpisode *e = 0;
    e = s->lastEpisode();
    ep = e->prevEpisode();
    cout<<*e<<endl;
    while(ep != e) {
	cout<<*ep;
	cout<<" "<<endl;
	ep = ep->prevEpisode();
    }

    GEpisodePool::printStats();

    s->reset(_HOUR);
    s->addRange(GDate(1984,4,4,12,0,0), GDate(1984, 4,7,23,0,0));
    e = s->lastEpisode();
    ep = e->prevEpisode();
    cout<<*e<<endl;
    while(ep != e) {
	cout<<*ep;
	cout<<" "<<endl;
	ep = ep->prevEpisode();
    }
    
    GEpisodePool::printStats();
    delete s;
    
    GEpisodePool::freeAll();
    return 0;
}
