//
// XML parsing/processing test/demo code
// $Id: testXML.cpp,v 1.3 1998/07/10 02:45:26 qian Exp $
//

#include <string.h>
#include "gxmlwf.h"

int testXML(const char* xml)
{
    GXMLProcessor	*p = new GXMLProcessor(xml);

    if(!p->parseStream()) {
	cerr<<"error while parsing "<<xml<<endl;
	delete p;
	return 0;
    }
    
    GXMLElement* root = p->getRoot();
    
    p->printAll();

    char outname[256];
    strcpy(outname, "output");
    strcat(outname, xml);

    p->writeStream(outname);

    GXMLElement* e = p->search("TABLE");
    GXMLElement* n;
    while(e){
	cout<<*e<<endl;
	n = e->children;
	while(n) {
	    cout<<*n<<endl;
	    n = n->next;
	}
	e = e->next;
    }
    
	
    delete p;
}
