/****************************************************************************
 *   gbasic_adt.cc : 
 *   		some  basic routines for adts.
 *
 *   Change Log :
 *		 July-13 1997 Initial version,  Liujian Qian
 *
 *   $Id: gadt_basic.cpp,v 1.3 1998/12/10 00:11:25 qian Exp $
 ***************************************************************************/
#include <ctype.h> 
#include "gadt_basic.h"

int  _GIInt::cnt;
int  _GIChar::cnt;
int  _GIReal::cnt;
int  _GIVarchar::cnt;


ostream& operator<<(ostream& s, const GInt& i) 
{
    return s<<i.val;  
}

ostream& operator<<(ostream& s, const GChar& c) 
{
    return s<<c.val;  
}

ostream&  operator<<(ostream& s, const GReal& r)   
{
    return s<<r.val; 
}
    

ostream&  operator<<(ostream& s, GVarchar& v)    
{
    return s<<v.val;  
}

// return true if found a next-word in input string
// 
bool getNextWord (const char* in_str,  //IN:  input string
		  char* word,          //OUT: holds the next word
		  int&  pos)           //IN-OUT: next position to start in "in_str"
{
    int cur = 0;
    cout<<"pos="<<pos<<",strlen="<<strlen(in_str)<<endl;
    //if(strlen(in_str) <= pos) return false;

    while(isspace(in_str[pos])) pos++;
    if((unsigned)pos>=strlen(in_str)) return false;
    while (!isspace(in_str[pos])) word[cur++] = in_str[pos++];
    word[cur] = '\0';
    return true;
}


