/****************************************************************************
 *   gadt_region.h : 
 *   		Header file for Region ADT
 *
 *   Change Log :
 *		 Sept-20-1997 Initial version,  Liujian Qian
 *
 *   $Id: gadt_region.h,v 1.1.1.1 1998/05/21 05:37:27 qian Exp $
 ***************************************************************************/
#ifndef _GREGION_H_
#define _GREGION_H_

#include "gadt.h"

/*-------------------------------------------------------------------------
CLASS  --
      GRegion

      GRegion defines a region composed from individual sub-areas.

DESCRIPTION

      While most other spatial adts such as GRect, GPolygon defines
      a single bounded area, the GRegion class defines arbitrary regions
      that consists of multiple simple-shaped areas such as rectangles,
      points, or polygons etc. 

      GRegion is implemented as a set of various spatial ADT objects (
      which can be of same or different types). The total area of the 
      region is the union of all the sub areas. 

-------------------------------------------------------------------------*/





#endif




