/****************************************************************************
 *   gobject.cpp : 
 *   		  impl. of GObject class.
 *
 *   Change Log :
 *		  Feb 26 1998 Initial version,  Liujian Qian
 *
 *   $Id: gobject.cpp,v 1.7 1999/02/10 04:03:43 qian Exp $
 ***************************************************************************/
#include <stdio.h>
#include <stdarg.h>	

#include "gobject.h"

#include "gfcconfig.h"


uint32 GFCConfig::version() 
{
    return major_version*10000 + minor_version*100 + micro_version;
}

DataPipe&	operator<<(DataPipe& p, GObject& a)
{
    a.pack(p);
    return p;
}

DataPipe&	operator>>(DataPipe& p, GObject& a)
{
    a.unpack(p);
    return p;
}


//return 1 if we are on a big endian machine
int testEndian()
{
    int i=1;
    return ( *((unsigned char*)&i) == 1 )? 0:1;
}

int8   GEndian::big = testEndian();


void GDBG(char* format, ...)
{
    if(GFCConfig::debug) {
	va_list	args;
    
	va_start(args, format);
	fprintf(stderr, "GFC: ");
	vfprintf(stderr, format, args);
	fprintf(stderr, "\n");
	va_end(args);
    }
}


