/****************************************************************************
 *   greg_tbls.h : Modified after ASU MultiCal file.
 *   	
 *   Change Log :
 *		 Spring 1996 Initial version,  Liujian Qian
 *
 *   $Id: greg_tbls.h,v 1.2 1998/12/02 04:03:42 qian Exp $
 ***************************************************************************/
 

// input conversion
extern unsigned long day_to_seconds[32];
extern unsigned long month_to_seconds[13];
extern unsigned long leap_month_to_seconds[13];
extern int64 year_to_seconds[400];
extern unsigned char leap_year[400];
extern unsigned long yr[14];
extern int64 sg[14];
extern int64 years_to_gregs_nibbles[9][16];
extern unsigned long years_to_gregs_residue_nibbles[9][16];

//output conversion
extern unsigned int year_count[18];
extern unsigned int year_residue[18];
extern unsigned int sr[];
extern unsigned int dr[];
extern unsigned long day_to_day[365];
extern unsigned long day_to_leap_day[366];
extern unsigned long day_to_month[365];
extern unsigned long day_to_leap_month[366];
extern unsigned int dy[400];
extern unsigned long greg_nibbles[15][16];
extern unsigned long day_nibbles[15][16];
extern unsigned long second_nibbles[15][16];
